API server

https://app.coolify.io/api/v1

Choose where to send API requests

This changes the request URL and code examples on every endpoint page.

API server type

Requests will use

https://app.coolify.io/api/v1

Use only a Coolify URL you trust. Sending a test request also sends the API token you enter.

PATCH
/projects/{uuid}/environments/{environment_name_or_uuid}

Update environment by name or UUID within a project.

Authorization

bearerAuth
AuthorizationBearer <token>

Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.

In: header

Path Parameters

uuid*string

Project UUID

environment_name_or_uuid*string

Environment name or UUID

Request Body

application/json

Environment fields to update.

TypeScript Definitions

Use the request body type in TypeScript.

name?string

The name of the environment.

description?string

The description of the environment.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.coolify.io/api/v1/projects/string/environments/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "uuid": "env123",  "name": "staging",  "description": "Staging environment"}
{  "message": "Invalid token."}
{  "message": "Unauthenticated."}
Empty
Empty
{  "message": "Validation error.",  "errors": {    "name": [      "The name field is required."    ],    "api_url": [      "The api url field is required.",      "The api url format is invalid."    ]  }}